Package sop.enums

# Enum Class SignatureMode

java.lang.Object
java.lang.Enum<SignatureMode>
sop.enums.SignatureMode

All Implemented Interfaces:
  `Serializable`, `Comparable<SignatureMode>`, `Constable`

public enum SignatureMode extends Enum<SignatureMode>
Enum referencing relevant signature types.

See Also:
  - RFC4880 §5.2.1 - Signature Types

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`binary`
Signature of a binary document (
`text`
Signature of a canonical text document (

## Method Summary

Modifier and Type
Method
Description
`static SignatureMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SignatureMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### binary

public static final SignatureMode binary
Signature of a binary document (

    0x00

).

### text

public static final SignatureMode text
Signature of a canonical text document (

    0x01

).

## Method Details

### values

public static SignatureMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SignatureMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null